#!/bin/zsh

# Get a list of tags
strTags=$(./fetchTags.sh)

# Make an array
arrTags=(${(f)"$(echo $strTags)"})

# Get a count of the bunches so we know when to stop outputting a comma in the JSON
intLastPos=$((${#arrTags[*]}))

# Build the opening JSON
echo '{"items": ['

# Process each bunch as an entry in the JSON 'items' array
for tag in $arrTags; do
	echo -e '\t{'
	
	# Ouput simple properties
	echo -e "\t\t\"uid\": \"$tag\","
	echo -e "\t\t\"arg\": \"$tag\","
	echo -e "\t\t\"autocomplete\": \"$tag\","
	echo -e "\t\t\"title\": \"$tag\","
	
	# Output icon
	echo -e "\t\t\"icon\":"
	echo -e "\t\t{"
	echo -e "\t\t\t\"path\": \"./tag.png\""
	echo -e "\t\t}"
	
	# If it is the last tag, there's no trailing comma
	if [[ "$bunch" == "$arrTags[$intLastPos]" ]]
	then
		echo -e "\t}"
	else
		echo -e "\t},"
	fi
	;
done

# Build the closing JSON
echo "]}"